Bug 843904 - During transition between systems in the webui, user will see System Group and Errata elements along with install button and other.
During transition between systems in the webui, user will see System Group an...
Status: CLOSED ERRATA
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello (Show other bugs)
1.2
Unspecified Unspecified
urgent Severity urgent
: beta
: 1.2
Assigned To: Adam Price
Og Maciel
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-27 11:48 EDT by Eric Sammons
Modified: 2013-02-21 14:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-21 14:17:08 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric Sammons 2012-07-27 11:48:16 EDT
Description of problem:
During navigation on the Systems tab; navigate between two or more different hosts and you as the user will see elements appear (then disappear) which are not valid SAM elements.

Version-Release number of selected component (if applicable):
katello-all-0.2.51-1

How reproducible:


Steps to Reproduce:
1. Login to https://fqdn/headpin
2. Create at least two systems (must be done via api call, use populate-systems.py or bulk-data-load.py)
3. Navigate to Systems Tab
4. Select System 1
5. Select System 2
  
Actual results:
During transition, the lower left pane will display - for a short time - the System Group, Errata, and Install elements.


Expected results:
Smooth transition without any mysterious elements coming and going.
Comment 1 Eric Sammons 2012-07-27 11:58:51 EDT
Note, it is possible to get the elements to remain visible should an error occur on the Systems page.
Comment 2 Adam Price 2012-10-09 16:01:37 EDT
merged a fix in commit: https://github.com/Katello/katello/commit/e7105e255118e2fea93e6ea83801904dcf84f7bb
Comment 3 Og Maciel 2012-10-09 16:19:11 EDT
Verified:

* candlepin-0.7.12-1.el6_3.noarch
* candlepin-tomcat6-0.7.12-1.el6_3.noarch
* katello-candlepin-cert-key-pair-1.0-1.noarch
* katello-certs-tools-1.1.8-1h.el6_3.noarch
* katello-cli-common-1.1.10-1h.el6_3.noarch
* katello-cli-headpin-0.2.2-1.el6_2.noarch
* katello-common-1.1.14-2h.el6_3.noarch
* katello-configure-1.1.11-1h.el6_3.noarch
* katello-glue-candlepin-1.1.14-2h.el6_3.noarch
* katello-headpin-1.1.14-2h.el6_3.noarch
* katello-headpin-all-1.1.14-2h.el6_3.noarch
* katello-selinux-1.1.2-1h.el6_3.noarch
Comment 5 errata-xmlrpc 2013-02-21 14:17:08 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0544.html

Note You need to log in before you can comment on or make changes to this bug.